Bug 5517 - При печати с Win98 клиентов сервер падает на SMB_ASSERT
: При печати с Win98 клиентов сервер падает на SMB_ASSERT
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/samba)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-17 13:55 by
Modified: 2006-03-24 12:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-17 13:55:57
При печати с Win98 клиентов сервер падает с сообщением в лог:

[2004/11/17 17:31:40, 1] smbd/service.c:make_connection_snum(648)
  oleg (172.16.1.200) connect to service HPLaserJ initially as user oleg
(uid=512, gid=518) (pid 7053)
[2004/11/17 17:31:40, 0] printing/printing_db.c:get_print_db_byname(40)
  PANIC: assert failed at printing/printing_db.c(40)
[2004/11/17 17:31:40, 0] lib/util.c:smb_panic2(1403)
  PANIC: assert failed
[2004/11/17 17:31:40, 0] lib/util.c:smb_panic2(1411)
  BACKTRACE: 1 stack frames:
   #0 /usr/sbin/smbd(smb_panic2+0x10f) [0x81dc84f]

Началось это с 2004/11/15 (понедельника), после обновления из Sisyphus
в выходные.

При этом странно, что сразу после перезагрузки Win98 клиента одну
страничку распечатать можно, а на следующих валится.
------- Comment #1 From 2004-11-17 15:01:47 -------
По датам моих обновлений похоже, что проблемы начались с переходом
с samba-3.0.8pre2 на 3.0.8
------- Comment #2 From 2004-11-19 12:01:15 -------
Откат на samba-3.0.8-pre2 ничего не дал (та же ошибка).Откатил сразу на
samba-3.0.5 из обновлений Master'а 2.4. После этого все нормально заработало.
Сегодня к вечеру можно будет сказать точнее, все работает или нет.
Но печать для Win98 клиентов работает нормально.
------- Comment #3 From 2004-11-21 02:06:48 -------
*** Bug 5539 has been marked as a duplicate of this bug. ***
------- Comment #4 From 2004-11-21 02:12:43 -------
собираю 3.0.9. Думаю это решит эту (и не только) проблему:

Common bugs fixed in 3.0.9 include:

  o Problem updating roaming user profiles.
  o Crash in smbd when printing from a Windows 9x client.
  o Unresolved symbols in libsmbclient which caused 
    applications such as KDE's konqueror to fail when
    accessing smb:// URLs.
------- Comment #5 From 2005-09-28 10:08:21 -------
необходимо проверить как обстоят дела c печатью из под win98 клиентов с текущей
версией samba.
------- Comment #6 From 2006-03-24 12:25:13 -------
Вроде с последними samba'ми всё работает